Skip to content
Browse API reference

Count List Items

Request

POST https://api.castle.io/v1/lists/{list_id}/items/count

Path parameters

list_idrequired
string

ID of the List

Request body

filters
object[] or object

Additional filters to query list items by fields and archival status. Accepts a list of filters or a filter tree ({ "$and" | "$or": [...] }).

Response

200
object

Returns a number of list items matching the query

401
No body

You are missing the Authorization header, or the API secret is missing or incorrect.

403
No body

The request is rejected because the service is not enabled for this account.

422
object

The request body is unprocessable by the API. Make sure it conforms to the specified format for the endpoint.

429
No body

You performed too many requests. You should back off and retry using the exponential backoff algorithm.

500
No body

There’s an issue on our end.